steps=$1
if [[ "$steps" == "" ]]; then
    steps=10000
fi
batchsize=$2
if [[ "$batchsize" == "" ]]; then
    batchsize="128"
fi

nodes_num=$3
if [[ "$nodes_num" == "" ]]; then
    nodes_num=1
fi
set -x

if [[ "$nodes_num" == 1 ]]; then
    horovodrun -np $GPU_NUM -H $NODE_IP_SLOT_LIST python3 train.py --steps $steps --batch-size $batchsize
else
    horovodrun -np $GPU_NUM -H $NODE_IP_SLOT_LIST --network-interface eth0 python3 train.py --steps $steps --batch-size $batchsize
fi